.app-sidebar__user-avatar {
    width: 48px;
    background: gray;
    padding: 6px;
}
.app-sidebar__toggle{
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    justify-content: center;
    align-items: center;
    /*font-size: 15pt;*/
}
.app-sidebar__toggle::before{
    display: none;
}
.headerRegister, .header-primary{
    background: #009688;
    color: #FFF;
}
.headerUpdate{
    background: #007bff;
    color: #FFF;
}
.headerDanger{
    background: #FF425C;
    color: #FFF;
}
.textcenter{
    text-align: center;
}
.textright{
    text-align: right;
}
.textleft{
    text-align: left;
}
.bootstrap-select > .dropdown-toggle{
    border: 1px solid #CCC;
}
/*Estilos login*/
#divLoading{
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(254,254,255, .65);
    z-index: 9999;
    display: none;
}
#divLoading img{
    width: 50px;
    height: 50px;
}
.required{
    color: red;
    font-size: 13pt;
    font-weight: bold;
}
/* style portada categoría */
.prevPhoto {
    display: flex;
    justify-content: space-between;
    width: 300px;
    height: 200px;
    border: 1px solid #CCC;
    position: relative;
    cursor: pointer;
    background: url(../images/uploads/portada_categoria.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    margin: auto;
}
.prevPhoto label{
    cursor: pointer;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
}
.prevPhoto img{
    width: 100%;
    height: 100%;
}
.upimg, .notblock{
    display: none !important;
}
.errorArchivo{
    font-size: 16px;
    font-family: arial;
    color: #cc0000;
    text-align: center;
    font-weight: bold; 
    margin-top: 10px;
}
.delPhoto{
    color: #FFF;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    background: red;
    position: absolute;
    right: -10px;
    top: -10px;
    z-index: 10;
}
#tbl_list_productos img{
    width: 50px;
}
.imgProductoDelete{
    width: 175px;
}

#imgCategoria{
    text-align: center;
}
#imgCategoria img{
    width: 200px;
    margin: auto;
}

/* Upload fotos*/
#containerImages{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
}
#containerImages > div{
    margin-right: 10px;
    margin-bottom: 8px;
}
.prevImage{
    border: 1px solid #CCC;
    width: 120px;
    height: 148px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.prevImage img{
    width: 100%;
}
.inputUploadfile{
    display: none;
}
.btnUploadfile, .btnDeleteImage{
    border: 0;
    background-color: #009688;
    text-align: center;
    padding: 2px 3px;
    color: #FFF;
    font-size: 9pt;
    cursor: pointer;
    width: 100%;
}
.btnDeleteImage{
    background-color: #dc3545;
}
.prevImage .loading{
    width: 30px;
    height: 30px;
}
#celFotos img{
    width: 150px;
    margin: 10px;
}

/* TIENDA VIRTUAL */
.divmetodpago label, #divCondiciones{
    width: 100%;
    display: flex;
}
.divmetodpago label input, #divCondiciones input{
    margin-right: 15px;
}
#divCondiciones a{
    margin-left: 5px;
}
#divCondiciones  label{
    margin-bottom: 0;
}
.modal{
    z-index: 9999;
}





@import url('fonts/BrixSansRegular.css');
@import url('fonts/BrixSansBlack.css');




*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
/*p, label, span, table{
  font-family: 'arial';
  font-size: 9pt;
}*/
.h2{
  font-family: 'arial';
  font-size: 16pt;
}
.h3{
  
  font-size: 10pt;
  display: block;
  background: #0a4661;
  color: #FFF;
  text-align: center;
  padding: 3px;
  margin-bottom: 5px;
}





#page_pdf{
  width: 95%;
  margin: 15px auto 10px auto;
}

#factura_head, #factura_cliente, #factura_detalle{
  width: 100%;
  margin-bottom: 10px;
}
.logo_factura{
  width: 0.1%;
}
.info_empresa{
  width: 40%;
  /*text-align: center;*/
}
.info_factura{
  width: 25%;
}
.info_cliente{
  width: 100%;
}
.datos_cliente{
  width: 100%;
}

.datos_cliente{
  padding: 10px 10px 0 10px;
}
.datos_cliente label{
  width: 75px;
  display: inline-block;
}
.datos_cliente p{
  display: inline-block;
}

.textright{
  text-align: right;
}
.textleft{
  text-align: left;
}
.textcenter{
  text-align: center;
}
.round{
  border-radius: 10px;
  border: 2px solid #0a4661;
  overflow: hidden;

  padding-bottom: 0px;
}
.round p{
  padding: 0 15px;
}

#factura_detalle{
  border-collapse: collapse;
}
#factura_detalle thead th{
  background: #058167;
  color: #FFF;
  padding: 5px;
}
#detalle_productos tr:nth-child(even) {
    background: #ededed;
}
#detalle_totales span{
  font-family: 'arial';
}
.nota{
  font-size: 8pt;
}
.label_gracias{
  font-family: verdana;
  font-weight: bold;
  font-style: italic;
  text-align: center;
  margin-top: 20px;
}
.anulada{
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
}


div.dt-top-container {
  display: grid;
  grid-template-columns: auto auto auto;
}

div.dt-center-in-div {
  margin: 0 auto;
}

div.dt-filter-spacer {
  margin: 10px 0;
}





  
















































.show-header-cart .header-cart {
  right: 0;
}
.animsition-loading-1 {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}



.wrap-header-cart {
  position: fixed;
  z-index: 1100;
  width: 100%;
  height: 100vh;
  top: 0;
  right: 0;
  background-color: rgba(0,0,0,0.0);
  visibility: hidden;
  
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;  
  transition: all 0.4s;
}


.show-header-cart {
  visibility: visible;
  background-color: rgba(0,0,0,0.6);
}
.header-cart {
  position: fixed;
  z-index: 1100;
  width: 430px;
  max-width: calc(100% - 30px);
  height: 100vh;
  top: 0;
  right: -430px;
  background-color: #fff;
  
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.34;  
  transition: all 0.4s;

  box-shadow: 0 3px 6px 0px rgba(0, 0, 0, 0.18);
  -moz-box-shadow: 0 3px 6px 0px rgba(0, 0, 0, 0.18);
  -webkit-box-shadow: 0 3px 6px 0px rgba(0, 0, 0, 0.18);
  -o-box-shadow: 0 3px 6px 0px rgba(0, 0, 0, 0.18);
  -ms-box-shadow: 0 3px 6px 0px rgba(0, 0, 0, 0.18);
}

.header-cart-content {
  flex-grow: 1;
  overflow: auto;
  align-content: space-between;
}
@media (max-width: 575px) {
  .header-cart {
    padding: 30px;
  }

}


.s-full {width: 100%; height: 100%;}




/*stylo de tabla de detalle de ventas */

.tbl-st6>thead{
    display: block;
    width: 100%;
    color: #ffffff;
    background-color: darkgray;
}
.tbl-st6>tbody{
    display:block;
    width: 100%;
    height:300px;
    overflow: auto;
}
.tbl-st6>thead>tr{
    display: flex;
}
.tbl-st6>tbody>tr{
    /*display: flex;*/ 
}
.tbl-st6>thead>tr>th{
    border: none;
    border-bottom: 2px solid #ffffff;
    /*display: flex;*/
    padding: 6px 5px;
    text-align: left;
    width: 100%;
    flex-wrap: nowrap;
}
.tbl-st6>tbody>tr>td{
    padding: 8px 15px;
    padding: 5px 10px;;
    text-align: left;
    width: 100%;
    flex-wrap: nowrap;
}
.tbl-st6>tbody>tr:nth-child(2n+1){
    color: #000000;
    background-color: lightgray; 
}
.tbl-st6>tbody>tr:hover{
    cursor: pointer;
    background-color: #ffe6ba;
}
 .active1{
    background-color:#867d7d !important;
    color:#fff !important;
  
}
 .active2{
    background-color:#867d7d;
    color:#fff;
}
.container {
    height:200px;
    overflow: auto;
    border:1px solid #000;
}


/*ESTILO 6 TABLA*/


.resp {
  max-width: 40em;
  max-height: 20em;
  overflow: scroll;
  position: relative;
}

.responsive-table table {
  position: relative;
  border-collapse: collapse;
}

.responsive-table td, th {
  padding: 0.25em;
}

.responsive-table thead th {
  position: -webkit-sticky; /* for Safari */
  position: sticky;
  top: 0;
  background: #000;
  color: #FFF;
}
.responsive-table 
thead th:first-child {
  left: 0;
  z-index: 1;
}

.responsive-table tbody th {
  position: -webkit-sticky; /* for Safari */
  position: sticky;
  left: 0;
  background: #FFF;
  border-right: 1px solid #CCC;
}

/* Responsive Table Style 
.responsive-table {
  text-align: left;
  background-color: #fff;
  border-collapse: collapse;
  margin: 40px auto;
}
.responsive-table tr {
  border: 1px solid #ccc;
}
.responsive-table tr:hover {
  background-color: #f5f5f5;
}
.responsive-table th,
.responsive-table td {
  padding: 3px 4px;
}
.responsive-table th {
  text-align: center;
  color: #2EAFEA;
}
 .responsive-table tbody{
  display: block;
  width: 100%;
  height: 300px;
  overflow: auto;
  }



@media(max-width: 480px) {
  .responsive-table {
    width: 100%;
  }
  .responsive-table thead {
    display: none;
  }
  .responsive-table tbody tr:nth-of-type(even) {
    background-color: #eee;
  }
  .responsive-table tbody td {
    display: block;
  }
  .responsive-table tbody td:before {
    content: attr(data-table);
    display: block;
    float: left;
    width: 40%;
    margin-right: 10px;
    padding-right: 10px;
    font-weight: 700;
    color: #2EAFEA;
    border-right: 1px solid #ccc;
  }
  .responsive-table tbody td:after {
    content: '';
    display: block;
    clear: both;
  }
}
/* End Responsive Table Style */
.tbljuan tr:nth-child(even){background-color: #f2f2f2}
table.tbljuan {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  border: 1px solid #ddd;
  font-weight: ;
  font-size: 14px;
}
.tbljuan>tbody>tr:hover{
    cursor: pointer;
    background-color: #ffe6ba;
}
#seachProducts>tr:hover{
    cursor: pointer;
    background-color: #ffe6ba;
}
.tbljuan>th, td {
  text-align: left;
  padding: 4px;
}




/* Table Styles */

.table-wrapper{
    /*margin: 10px 70px 70px;*/
    box-shadow: 0px 35px 50px rgba( 0, 0, 0, 0.2 );
}

.fl-table {
    border-radius: 5px;
    font-size: 12px;
    font-weight: normal;
    border: none;
    border-collapse: collapse;
    width: 100%;
    max-width: 100%;
    white-space: pre-line;
    background-color: white;
}

.fl-table td, .fl-table th {
    text-align: center;
    padding: 8px;
}

.fl-table td {

    font-size: 12px;
}

.fl-table thead th {
    color: #ffffff;
    background: #4FC3A1;
}


.fl-table tr:nth-child(even) {
    background: #dcdcdc;
}













.container {
  width: 300px;
  margin: auto;
}
.calculator {
  width: 275px;
  margin: auto;
  min-height: 400px;
  border: solid 1px  #3A4655;
  box-shadow: 0 8px 50px -1px black;
}
#display {
  background: white;
  width: 100%;
}
.calc-operation {
    text-align: right;
  color: #727B86;
  font-size: 21px;
  padding-bottom: 10px;
  border-bottom: dotted 1px;
}
.button2 {
   width: 25%;
  background: #425062;
  color: #fff;
  padding: 10px;
  display: inline-block;
  font-size: 12px;
  text-align: center;
  vertical-align: middle;
  margin-right: -4px;
  border-right: solid 2px #3C4857;
  border-bottom: solid 2px #3C4857;
  transition: all 0.2s ease-in-out;
  border-radius: 5px;
}

.mathButtons {
   color: #AEB3BA;
  background: #404D5E;
}
#clearButton {
   color: #D95D4E;
  background: #404D5E;
}
.button:hover {
  background: pink; 
}


















.suggestions {
    background-color: #EEEEEE;
    box-shadow: 2px 2px 8px 0 rgba(0,0,0,.2);
    height: auto;
    position: absolute;
    /*top: 111px;*/
    z-index: 9999;
    width: 387px;
}

.suggestions .suggest-element {
    /*background-color: #EEEEEE;*/
    border-top: 1px solid #d6d4d4;
    cursor: pointer;
    padding: 8px;
    width: 100%;
    float: left;
}


tr.pointer:hover {
    background-color:#bebebe;
    color:#fff;
}



tr.pointer:hover > tr.active{
    width: 387px;
}

.hidenCli{
    visibility: hidden;

}

